/* $Workfile: $   $Revision: $    $Modtime: $  */
/*--------------------------------------------------------------------------*\

  Odin TeleSystems Inc.

  SAA-1007-1 OTX DSP C54x Software Development Kit (SDK)

  Linker Command file for the OTX DSP C54x SDK Demo1 application.

\*--------------------------------------------------------------------------*/

/*********************************\
    .obj files to be linked
\*********************************/
DspDemo1.obj
OtxApi.obj
OtxLaws.obj
OtxVecs.obj

/*********************************\
    Linker options
\*********************************/
-c                         /* C runtime environment init (ROM model) */
-o DspDemo1.out            /* output file */
-m DspDemo1.map            /* map file    */
-l rts.lib                 /* library for C compiler */
-f 0

-stack 256
-heap 512


/*********************************\
    Memory Configuration
\*********************************/
MEMORY
{
        PAGE 0: VECS    : origin = 0180h, length = 0080h
                PROG    : origin = 4200h, length = 3E00h

        PAGE 1: STACK   : origin = 0200h, length = 0100h
                HEAP    : origin = 0300h, length = 0200h
                CINIT   : origin = 0500h, length = 0200h
                AUTOBUFF: origin = 0800h, length = 0800h
                HPI     : origin = 1000h, length = 0800h
                /* DATA    : origin = 2000h, length = 2200h */
                DATA    : origin = 2000h, length = 2200h   /* in external memory */
}



SECTIONS
{
        .text   : > PROG        PAGE 0
        .cinit  : > CINIT       PAGE 1
        .switch : > CINIT       PAGE 1
        vectors : > VECS        PAGE 0
        .const  : > DATA        PAGE 1
        .bss    : > DATA        PAGE 1
        tables  : > DATA        PAGE 1
        .stack  : > STACK       PAGE 1
        .sysmem : > HEAP        PAGE 1
        buffer  : > DATA        PAGE 1
        .data   : > DATA        PAGE 1
        autobuff: > AUTOBUFF    PAGE 1
}
